[ 
https://issues.apache.org/jira/browse/TEZ-3900?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16389767#comment-16389767
 ] 

Jonathan Eagles commented on TEZ-3900:
--------------------------------------

It is difficult to upgrade guava directly like this, which is why it hasn't 
been done yet. This will force all users of tez (pig/hive/etc) plus all users 
of that code to be forced to upgrade accordingly. Instead we have been taking 
an approach where Tez can easily switch between versions of guava (essentially 
using a subset of APIs that work across all supported versions of guava). To 
that point there is another jira that is taking a completely different approach 
to shade guava in tez and have users rely directly on library provided by 
pig/hive or possibly hadoop directly.

Please have a look at the reference jira TEZ-2164

> upgrade to a recent guava version
> ---------------------------------
>
>                 Key: TEZ-3900
>                 URL: https://issues.apache.org/jira/browse/TEZ-3900
>             Project: Apache Tez
>          Issue Type: Bug
>            Reporter: Sergey Shelukhin
>            Assignee: Sergey Shelukhin
>            Priority: Major
>         Attachments: TEZ-3900.patch
>
>




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to